package md

type WechatButton struct {
	Name      string            `json:"name"`
	SubButton []WechatSubButton `json:"sub_button,omitempty"`
}
type WechatSubButton struct {
	Type     string `json:"type"`
	Name     string `json:"name"`
	Url      string `json:"url"`
	Appid    string `json:"appid,omitempty"`
	Pagepath string `json:"pagepath"`
	Key      string `json:"key,omitempty"`
}
type OffcialWechatButton struct {
	Type      string       `json:"type,omitempty"`
	Name      string       `json:"name"`
	Key       string       `json:"key,omitempty"`
	SubButton SubButtonMap `json:"sub_button,omitempty"`
}
type SubButtonMap struct {
	List []WechatSubButton `json:"list"`
}

type WechatReq struct {
	Button []WechatButton `json:"button"`
}
